%global modulename esquery

%global npmlib_dir %{npmlib_sitelib}
%global nodejs_dir %{nodejs_sitelib}

%define __requires_exclude_from ^%{npmlib_dir}/%{modulename}/%{version}/tests?/.*

Name:           npmlib-esquery
Version:        1.0.1
Release:        1%{?dist}
Summary:        A query library for ECMAScript AST using a CSS selector like query language.

License:        BSD
URL:            https://github.com/jrfeenst/esquery#readme
Source0:        https://registry.npmjs.org/esquery/-/esquery-1.0.1.tgz


BuildRequires:  npmlib-packaging

BuildArch:      noarch
ExclusiveArch:  %{nodejs_arches} noarch

BuildRequires:  ((npmlib(estraverse) >= 4.0.0 with npmlib(estraverse) < 5.0.0))

Requires:       npmlib(%{modulename}) = %{version}

%description
A query library for ECMAScript AST using a CSS selector like query language.

%package 1.0.1
Summary:        A query library for ECMAScript AST using a CSS selector like query language.


%description 1.0.1
A query library for ECMAScript AST using a CSS selector like query language.

%prep
%autosetup -p0 -n package

%build
# Nothing to build

%install
mkdir -p %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr esquery.js %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr package.json %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr parser.js %{buildroot}%{npmlib_dir}/%{modulename}/%{version}



mkdir -p %{buildroot}%{nodejs_dir}
ln -s %{npmlib_dir}/%{modulename}/%{version} %{buildroot}/%{nodejs_dir}/%{modulename}

%{npmlib_symlink_deps}

%check
rm -rf node_modules && %{npmlib_symlink_deps} .
%{__nodejs} -e 'require("./")'

%files
%doc README.md
%doc license.txt
%{nodejs_dir}/%{modulename}

%files 1.0.1
%doc README.md
%doc license.txt
%{npmlib_dir}/%{modulename}/%{version}
%dir %{npmlib_dir}/%{modulename}/

%changelog
* Mon Nov 19 2018 npm2srpm <dshea@redhat.com> - 1.0.1-1
- Package automatically generated by npm2srpm
